aboutsummaryrefslogtreecommitdiffstats
path: root/testing/stlink/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-10-20 16:11:30 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-10-20 16:16:05 +0200
commit4a67aab47b2ad238f0fe84121527e7e95289ef86 (patch)
tree27d3fb389f207811b1617b1b6550a4d8155a22d0 /testing/stlink/APKBUILD
parentd8862de851c101583c7d6a7d6a55471c9e667e96 (diff)
downloadaports-4a67aab47b2ad238f0fe84121527e7e95289ef86.tar.gz
aports-4a67aab47b2ad238f0fe84121527e7e95289ef86.tar.bz2
aports-4a67aab47b2ad238f0fe84121527e7e95289ef86.tar.xz
testing/stlink: new aport
Diffstat (limited to 'testing/stlink/APKBUILD')
-rw-r--r--testing/stlink/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/stlink/APKBUILD b/testing/stlink/APKBUILD
new file mode 100644
index 0000000000..cd44c382ca
--- /dev/null
+++ b/testing/stlink/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
+pkgname=stlink
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="STM32 discovery line linux programmer"
+url="https://github.com/texane/stlink"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="cmake libusb-dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/texane/$pkgname/archive/$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$builddir"
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib \
+ -DBUILD_SHARED_LIBS=True \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_CXX_FLAGS="$CXXFLAGS" \
+ -DCMAKE_C_FLAGS="$CFLAGS" \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+ install -m644 README ACKNOWLEDGMENTS \
+ AUTHORS ChangeLog NEWS TODO \
+ doc/tutorial/tutorial.pdf \
+ "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+}
+
+md5sums="e460b920036354f3012c95d7085aaafe stlink-1.2.0.tar.gz"
+sha256sums="acfdd52e350a61c14910f3c14b9ed232a79febcf35b38479b011d5cd2d4af688 stlink-1.2.0.tar.gz"
+sha512sums="8c27895b9d93d8ac94af944eceaefa19b9b7d4b8cf1c2d0a53cb13dbbbbb0c6112fe68a2f41b326a86c8e9d2edc17ccf69f6e48bd9cc31f9aebefab601bdef5f stlink-1.2.0.tar.gz"